#include "sattrack.h"

int calc_orbitconst(KEPLER *kepler,ORBIT *orbit);
int calcpossat(struct tm *cur_tm, int cu_ms,KEPLER *,ORBIT *,EPOINT *);
int calcpossatms(struct tm *cur_tm, int, int cu_ms,KEPLER *,ORBIT *,EPOINT *);
void yday2mday_mon(struct tm *tmref);
int mktime_ntz(struct tm *);
struct tm mom_tm0(float);
struct tm mom_tm(float,TM_OFFSET *);
struct tm_ms mom_tmms(float,TM_OFFSET *);
float x2earthangle(float sat_height,SCANDIR scan_hor,int x,int xh,float alpha_max);
EPOINT calc_sun(struct tm tm);
EPOINT calc_moon(struct tm tm);
SAT *add_sun(SAT **sat);
gboolean predict(SAT *,struct tm *,struct tm *,TRACK *,EPOINT *,ROTOR *,float,float,gboolean);
int read_norad_next_keps(FILE *fp,char *sat_name,KEPLER *kepler);
gboolean calc_rotpos(DIRECTION satdir,ROTOR *rotor,float elev_horiz,float reptime);

void calc_satposms(struct tm_ms ,EPOINT *,DIRECTION *,EPOINT *,SAT *sat,ROTOR *rot);
