#ifndef XTRACK_BASEFUNC
#define XTRACK_BASEFUNC
#include <stdio.h>
#include <time.h>
#include "sattrack_funcs.h"
SAT *Create_Sat(SAT **sat);
SAT *Remove_Sat(SAT *sat);
TRACK *Create_Track(TRACK *track);
void Remove_Tracks(TRACK *track);
//void yday2mday_mon(struct tm *tmref);
//int mktime_ntz(struct tm *);
//struct tm mom_tm(float);
//float x2earthangle(float sat_height,SCANDIR scan_hor,int x,int xh,float alpha_max);
void calc_satpos(struct tm cur_tm,EPOINT *pos_subsat,DIRECTION *satdir,EPOINT *refpos,SAT *sat,ROTOR *);
void calc_satposms(struct tm_ms cur_tm,EPOINT *pos_subsat,DIRECTION *satdir,EPOINT *refpos,SAT *sat,ROTOR *rot);
//void calcposearth(struct tm *cur_tm, int ms, EPOINT *pos_earth);
//int calcpossat(struct tm *cur_tm, int cu_ms,KEPLER *,ORBIT *,EPOINT *);
//void calc_x2satobs(KEPLER *kepler,ORBIT *orbit,EPOINT *,EPOINT *,int,float,int);
//SAT *read_msat(FILE *fp,char *satnames_toload,SAT *sat);
//gboolean predict(SAT *sat,struct tm *start_tm,struct tm *stop_tm,TRACK *tr,EPOINT *refpos,float elev_hor,float);

int read_norad_next_keps(FILE *fp,char *sat_name,KEPLER *kepler);
//int calc_orbitconst(KEPLER *kepler,ORBIT *orbit);
SAT *Find_Sat(SAT *sat,char *satname);
#endif
