/* Callbacks */
gboolean key_actions(GtkWidget *, GdkEventKey *);
void mouse_actions(GtkWidget *, GdkEventMotion *);
void buttons_callback(GtkWidget *, gpointer );
void menu_callback(GtkWidget *, gpointer );
void time_callback(GtkWidget *, gpointer );
void configure_event_main(GtkWidget *,GdkEventConfigure *);

void show_predict(GtkWidget *,SAT *,gboolean,struct tm ,struct tm );
void Create_predict_wnd(GtkWidget *);

void Update_Main(GtkWidget *);
void Update_Main_Wait(GtkWidget *);
void tm2adjust(GtkWidget *wnd,struct tm tm);

void draw_onepos(struct tm cur_tm,GtkWidget *wnd,SAT *sat,EPOINT pos_sat,EPOINT pos_earth);
void draw_onepos_all(GtkWidget *);

void report_nextpass(GtkWidget *,SAT *);
void do_onepos_all(GtkWidget *wnd);
void draw_mark(GtkWidget *,EPOINT ,char , char *);
void draw_track(GtkWidget *,SAT *,struct tm ,struct tm );
void calcdraw_sensor(struct tm ,GtkWidget *,SAT *);

void clear_wnd(GtkWidget *);
void refresh_wnd(GtkWidget *);
void select_sat(GtkWidget *);
void Set_Button_if(GtkWidget *wnd,char *lab,gboolean set);
void Get_Kepler(GtkWidget *wnd);
void draw_rast(GtkWidget *,gboolean);
void draw_ref(GtkWidget *,float ,float ,gboolean);
void draw_horizon(GtkWidget *wnd,float lon,float lat);

void draw_sat(GtkWidget *,SAT *,float ,float ,gboolean);
void draw_sensor(GtkWidget *,SAT *sat,EPOINT *,EPOINT *,gboolean);
void draw_sattrack(GtkWidget *wnd,EPOINT p1,EPOINT p2,gboolean rgbm,int p);
void draw_vis(GtkWidget *,SAT *,EPOINT *,gboolean,GdkColor);
void draw_back(GtkWidget *);
void redraw(GtkWidget *,struct tm cur_tm);
void Create_kepleredt_wnd(GtkWidget *);
void select_sat_func(GtkWidget *, gpointer );
int Remove_Widget(GtkWidget *, char *);
void update_satbut(GtkWidget *,char *,SAT *);
// sel_refpos
int list_places(GtkWidget *pwnd);
void Create_preferences_wnd(GtkWidget *);
